Corrupted graphics after the login until the unity launcher appears

Bug #931967 reported by zzecool
740
This bug affects 161 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Critical
Chris Van Hoof
Oneiric
Undecided
Unassigned
Precise
Critical
Ursula Junque
Unity Greeter
Fix Released
Undecided
Michael Terry
unity-greeter (Ubuntu)
Critical
Chris Halse Rogers
Precise
Critical
Chris Halse Rogers
Quantal
Undecided
Unassigned

Bug Description

[Impact]
After login, it's very possible the screen will appear corrupted and show artifacts of a previous session. This is a security and privacy concern.

[Test Case]
Simple as logging in several times. It's highly reproducable (over 50% in my tests).

[Regression Potential]
Seems low. We had this same patch in 12.04, but it got accidentally dropped for 12.10.

[Original Report]
With the latest updates im getting corrupted graphics - images after the login until the unity launcher - desktop appears and this is happening in every system restart - relogin.

Im attaching a screenshot of what im getting , it looks like its a combination of corrupted images from the windows that was running while i was doing the latest updates , my last session before the problem.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+10ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-15.24-generic 3.2.5
Uname: Linux 3.2.0-15-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 290.10 Wed Nov 16 17:39:29 PST 2011
 GCC version: gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-12ubuntu1)
.tmp.unity.support.test.0:

ApportVersion: 1.91-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,regex,animation,snap,move,place,mousepoll,vpswitch,wall,resize,gnomecompat,workarounds,compiztoolbox,grid,imgpng,expo,fade,ezoom,scale,session,switcher,unityshell]
CompositorRunning: compiz
Date: Tue Feb 14 11:40:18 2012
DistUpgraded: Log time: 2011-09-27 15:36:23.910451
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard:
 NVIDIA Corporation G86 [GeForce 8600M GS] [10de:0425] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Sony Corporation Device [104d:9005]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
JockeyStatus:
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
MachineType: Sony Corporation VGN-FZ31Z
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-15-generic root=UUID=12e02107-7815-4276-b7ac-7bceee898897 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to precise on 2012-02-02 (11 days ago)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 12/21/2007
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R2110J7
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR2110J7:bd12/21/2007:svnSonyCorporation:pnVGN-FZ31Z:pvrC6006UGW:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-FZ31Z
dmi.product.version: C6006UGW
dmi.sys.vendor: Sony Corporation
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu33
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0~rc2-0ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0~rc2-0ubuntu5
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Related branches

Revision history for this message
zzecool (zzecool) wrote :
Revision history for this message
zzecool (zzecool) wrote :

I just tried to remove the Nvidia Restricted drivers and use the Ubuntu Default one the "nouveau" with the same results .

Im attaching the new corrupted screenshot

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
zzecool (zzecool)
description: updated
description: updated
Bryce Harrington (bryce)
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Revision history for this message
dum (dummyxl) wrote :

I have the same artifacts, I have a acer timeline 4810 with a ati 4310 graphic card.
So not only Nvidia has this problem i guess.

First started when the compiz update was installed. (a week ago i think it was)

Revision history for this message
dum (dummyxl) wrote :

ps I use Ubuntu alpha 12.04

Omer Akram (om26er)
affects: compiz-core-ubuntu → compiz-core
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Omer Akram (om26er)
affects: xorg-server → unity (Ubuntu)
Changed in compiz-core:
importance: Undecided → High
Changed in unity:
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in compiz-core:
status: New → Triaged
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Changed in unity:
milestone: none → 5.6.0
Revision history for this message
Bryce Harrington (bryce) wrote :

If the regression started a week ago due to compiz, that would narrow it to this update:

upgrade compiz 2012-02-14 10:46:44 1:0.9.6+bzr20110929-0ubuntu8 1:0.9.7.0~bzr2995-0ubuntu1

One way to isolate this better would be if someone able to reproduce this would test downgrading to the earlier compiz and verify the bug goes away then.

Omer Akram (om26er)
no longer affects: nvidia-graphics-drivers (Ubuntu)
Revision history for this message
Bryce Harrington (bryce) wrote :

Alternatively, try seeing if the issue still occurs if you log in with either Ubuntu2d or the Gnome Classic (No effects) session?

I suspect this is a dupe of bug #933322

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

In duplicate bug 932611, Jason found that the problem still occurs with Unity 2D and Gnome Shell. So not a compiz issue (unless it's a different bug).

Revision history for this message
matthieu vidal (mvidal0001) wrote :

I confirm this is something I've got with gnome-shell

and I use a RADEON HD 4800

affects: compiz-core → xorg-server
Revision history for this message
dum (dummyxl) wrote :

One way to isolate this better would be if someone able to reproduce this would test downgrading to the earlier compiz and verify the bug goes away then.

I want to help you whit this but how do i downgrade compiz? can't see a older package on synaptic.
If you want to help me, I would appreciated.

now i have

ralph@ralph-Aspire-4810T:~$ apt-cache policy compiz
compiz:
  Geïnstalleerd: 1:0.9.7.0~bzr2995-0ubuntu4apt-cache show upstart
  Kandidaat: 1:0.9.7.0~bzr2995-0ubuntu4
  Versietabel:
 *** 1:0.9.7.0~bzr2995-0ubuntu4 0
        500 http://nl.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

Revision history for this message
Bryce Harrington (bryce) wrote :

Older versions of compiz .debs can be downloaded from launchpad via package history:

https://launchpad.net/ubuntu/+source/compiz/+publishinghistory

Click on the desired version there on the right, and snag the appropriate .debs for your HW from under Builds at lower right.

However I suspect to downgrade compiz you may need to downgrade a few other things as well.

Revision history for this message
Bryce Harrington (bryce) wrote :

@matthieu, for now let's treat the corruption with -ati as a separate bug (see lp: #933322). It's possible the bugs are one and the same, but the corruption pattern is a bit different, and I'm not 100% certain we've ruled out that this might be a driver-specific issue.

affects: xorg-server → nvidia-graphics-drivers (Ubuntu)
Revision history for this message
Bryce Harrington (bryce) wrote :

I'm re-adding the -nvidia task. Omer's probably right that it is not a bug in -nvidia, but I'd like to track it with the nvidia bugs until we're 100% sure which package brought the regression.

Revision history for this message
dum (dummyxl) wrote :

I have downloaded the compiz version but can't instal it at this time, the software-center crashed all the time... (bug 827615).
i can't install anything manual at this time.

Revision history for this message
Bryce Harrington (bryce) wrote : Re: [Bug 931967] Re: Corrupted graphics after the login until the unity launcher appears

If you have the debs locally, you can install from the commandline via
"dpkg -i <*.deb>"

On Wed, Feb 22, 2012 at 10:08:12PM -0000, dum wrote:
> I have downloaded the compiz version but can't instal it at this time, the software-center crashed all the time... (bug 827615).
> i can't install anything manual at this time.
>
> --
> You received this bug notification because you are a member of Ubuntu-X,
> which is subscribed to nvidia-graphics-drivers in Ubuntu.
> https://bugs.launchpad.net/bugs/931967
>
> Title:
> Corrupted graphics after the login until the unity launcher appears
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/931967/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~ubuntu-x-swat
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~ubuntu-x-swat
> More help : https://help.launchpad.net/ListHelp

Revision history for this message
Omer Akram (om26er) wrote :

I believe something in LightDM have changed (no denying this is a bug) but previously at the login screen of lightdm you grab the topbar and move it you would see your desktop wallpaper behind but now you see this corruption behind. as that's the point where compiz is not even started.

Revision history for this message
Omer Akram (om26er) wrote :

in summary previously lightdm was hiding a bug that appeared now (TM)

Revision history for this message
Alex Moldovan (alexmoldovan) wrote :

100% reproducible on:
02:00.0 VGA compatible controller [0300]: NVIDIA Corporation G86 [Quadro NVS 290] [10de:042f] (rev a1)

...and

01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G84 [GeForce 8600M GT] [10de:0407] (rev a1) (prog-if 00 [VGA controller])

Also happening when using the nvidia_current.

Revision history for this message
dum (dummyxl) wrote :

I did a downgrade to compiz-core_0.9.6+bzr20110929-0ubuntu8_amd64.deb
It still happens, (and breaks the compiz desktop) i did a upgrade again and my desktop effect are back ;-)

Maybe Omer Akram is right and not a compiz problem but Lightdm?

Revision history for this message
dum (dummyxl) wrote :

ps. inside the distortion of the last desktop session. I can sometimes read texts from the last time i shutdown.

Revision history for this message
dum (dummyxl) wrote :
Revision history for this message
Rainer Rohde (rainer-rohde) wrote :

I get a similar corruption when I log in as shown in the screenshot in #23.

Steve Magoun (smagoun)
Changed in oem-priority:
importance: Undecided → Critical
tags: added: rls-mgr-p-tracking
Revision history for this message
Hedson Ralston (masterchiefb117) wrote :

I was browsing around to see if this was a localized problem on certain machines but I guess not. I have the same issue on both ubuntu and ubuntu 2d logins. It scrambles the the screen for about 5 secs before desktop comes up (on 2d, I had an extra gray screen). I have recreated each scenario I could think of,
1. Fresh install of 12.04
2. Upgrade from previous LTS to 12.04
3. Reconstruct image file of 12.04 before install(kinda works but will have bad graphics on login which is almost near impossible to login without auto login)

I am currently working on getting 12.04 working correctly on Dual Boot on my Asus Transformer and I did come acoss this issue after the whole install completed. Logged in and bam came out, looked like bad reception in tv. I was able to modify certain parts of ubuntu start up what my fiends and I were working on to help alleviate the stress load on my tab. Apparently we disabled something and the errors went away for that portion just after log in. I tried to recreate he same environment on my Asus laptop running nvidia 9800m and it looked like I had found a solution. Well almost except that I had another computer set for auto log in and it didnt run into any problems. On a manual log in, I get super artificial images that it becomes impossible to log in. Had to reinstall ubuntu all over again.

I cant post my pics up yet, I was at work when this was going down and I took video of the process so Ill take screen caps of what happen. FIle wise, I will find a place to upload and see if you guys can confirm the script works just remember to enable auto log in before restarting.

Revision history for this message
Raphaël Badin (rvb) wrote :

FWIW I'm also getting the corrupted graphic using the *nouveau* video driver (GeForce 8400M GS) on precise.

Revision history for this message
Mark Hannon (markhannon) wrote :

I can confirm Raphael's comment - I am alsing using nouveau on a Lenovo W510 (mainly as the nvidia driver has constant graphics corruption problems) and also have the @login corruption

Revision history for this message
Jason Smith (jassmith) wrote :

The GPU initialization routine doesn't seem to 0 out its memory. Our best bet is probably to figure out how we can initialize the framebuffer contents earlier. (Im looking at you lightdm)

Changed in oem-priority:
status: New → Triaged
Revision history for this message
Achim Behrens (k1l) wrote :

Upgraded from 11.10 to 12.04 and using nvidia-current with a 8600gtm with unity and twinview with external monitor.

I had some sort of this "puzzle" on the external monitor since oneiric.
Now its on both screens but IIRC its just black and gray and not the things from the last login.

Revision history for this message
Alberto Milone (albertomilone) wrote :

@Daniel Dadap: any ideas about this?

Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/934003

tags: added: iso-testing
Revision history for this message
Soumyadeep Chanda (deep-fatality) wrote :

Very critical bug, happens on my nvidia hardware on both nouveau and nvidia proprietary drivers. It shows contents of previous sessions which include pictures/video screens, text, website content etc. so very critical security issue is here.

Revision history for this message
Daniel Dadap (ddadap) wrote :

If it's true that similar issues show up in Nouveau, and on AMD boards (radeon? fglrx?), then it probably makes the most sense to track down the regression better first. There's still a chance that there could be bugs in all of the affected drivers that are causing this, but it would be great if we could begin investigating with some more solid information about the problem first.

Revision history for this message
Doug McMahon (mc3man) wrote :

This 1st occurred with the upgrade of unity-greeter to unity-greeter 0.2.1-0ubuntu1 though I believe the issue has been identified as being in lightdm

Unfortunately it's not that straightforward to test reverting back to that version due to dep changes with g-s-d, ect.

(if one was to install the gtk-greeter, switch to it for 1 restart, then switch back to the unity-greeter the 'corruption' will usually go away for a restart or 2, then start creeping back in

Ursula Junque (ursinha)
tags: added: corruption
Bryce Harrington (bryce)
no longer affects: fglrx
affects: lightdm (Ubuntu) → unity-greeter (Ubuntu)
Changed in unity-greeter (Ubuntu):
assignee: nobody → Chris Halse Rogers (raof)
importance: Undecided → Critical
status: Confirmed → Triaged
no longer affects: nvidia-graphics-drivers (Ubuntu)
Revision history for this message
Bryce Harrington (bryce) wrote :

Yes, it appears to be unity-greeter causing the trouble. It uses cairo calls to paint the root window, which it persists on the screen using X's RetainPermanent functionality, and currently the suspicion is that there's a flaw in amongst that logic.

Chris Halse Rogers is going to be working on this.

no longer affects: unity (Ubuntu)
Revision history for this message
Matthias Klose (doko) wrote :

> inside the distortion of the last desktop session.
> I can sometimes read texts from the last time i shutdown.

maybe not a security issue, but definitely a privacy issue

Changed in unity-greeter (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
Revision history for this message
Thomas Bushnell, BSG (tbushnell) wrote :

data leakage is a security issue :)

Revision history for this message
Žilvinas (zilvinas-urbon) wrote :

Very anoying bug.

Revision history for this message
gyanny (gyanny) wrote :

I have the same bug on my installation of precise pangolin with an graphics card ATI X200M and open drivers

Revision history for this message
Rainer Rohde (rainer-rohde) wrote :

This bug makes logging in when someone's standing behind you watching a real thrill. *what did I look at y'day? Can they see bits and pieces of it?* :)

Didier Roche (didrocks)
no longer affects: unity-distro-priority
no longer affects: unity
tags: added: rls-p-tracking
Changed in unity-greeter (Ubuntu Precise):
status: Triaged → In Progress
Changed in unity-greeter (Ubuntu Precise):
status: In Progress → Fix Released
komputes (komputes)
tags: added: css-sponsored-p
Chris Van Hoof (vanhoof)
Changed in oem-priority:
status: Triaged → Fix Released
assignee: nobody → Chris Van Hoof (vanhoof)
Michael Terry (mterry)
Changed in unity-greeter:
milestone: none → 0.2.6
status: New → Fix Released
36 comments hidden view all 116 comments
Revision history for this message
dum (dummyxl) wrote :

fixed here to.
acer timeline 4810 (ati gpu)

Revision history for this message
James Gifford (jamesgifford) wrote : Re: [Bug 931967] Re: Corrupted graphics after the login until the unity launcher appears

I'm still experiencing this issue. Open source ATI drivers, AMD Radeon
HD 6320. Might be my dual-monitor setup though.

Revision history for this message
Doug McMahon (mc3man) wrote :

@ morryis (morryis) -
see if this bug is what's affecting you
Bug 964761

Revision history for this message
Omer Akram (om26er) wrote :

@Rainer comment#54 that's bug 915265

Revision history for this message
zemadz (zemadz) wrote :

Not sure if this fix is complete. I'm still getting corrupted looking screen for a few seconds after login, sometimes it is just garbled graphics, other times it is a picture from the last session (what was on the screen before last shutdown).

Thinkpad T60 (X1400, 12.04 x64, using external screen)

Revision history for this message
Piyush Roy (piyush2k13) wrote :

I also faced same issue even it said that bug is fixed.

Revision history for this message
rpr nospam (rpr-nospam) wrote :

I also see this bug on an Ubuntu 12.04 64-bit machine with ATI Radeon HD 4350.

$ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4300 Series]

$ uname -a
Linux hostname 3.2.0-25-generic #40-Ubuntu SMP Wed May 23 20:30:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

$ dpkg -l | grep unity-greeter
ii unity-greeter 0.2.8-0ubuntu1.1 Unity Greeter

Revision history for this message
graingert (tagrain) wrote :

this needs to be re-opened for quantal

Revision history for this message
matthieu vidal (mvidal0001) wrote :

this problem re-appears on 12.10 beta

HD 4800 without fglrx

Revision history for this message
jolindbe (jolindbe) wrote :

This bug still affects me on Ubuntu 12.04. I have noticed that if I change wallpaper, the problem does not appear the next reboot, instead I get a completely black screen for some time. But the next reboot after that, the problem is back. Would it be possible to make some workaround that replaces the wallpaper (preferrably by the same wallpaper) every log-out or log-in?

Revision history for this message
jolindbe (jolindbe) wrote :

Ok, I've probably found a workaround:
Edit the file /etc/gdm/PostSession (which is executed at logout) and add the following line before the line "exit 0":
gsettings set org.gnome.desktop.background picture-uri file:///Path_to_your_desktop_background.jpg
The standard backgrounds are found in /usr/share/backgrounds/ if you need to know where to start looking.
This seems to solve the problem for me, and displays a black screen during the previously mosaic-garbled seconds of the login. But I wouldn't call it a "fix", though. And the privacy/security issue should still be looked into. Where is this information stored?

Revision history for this message
rpr nospam (rpr-nospam) wrote :

As suggested by jolindbe, on Ubuntu 12.04 I've invoked the following command:
gsettings set org.gnome.desktop.background picture-uri 'file:///usr/share/backgrounds/Precise_Pangolin_by_Vlad_Gerasimov.jpg'

which fixed the issue of corrupted graphics after the user login (for the user who invoked the command). After several reboots it's still OK.

This could be put in a logout script but I'd say that /etc/gdm/PostSession/Default is not a good choice for Ubuntu 12.04 as it uses
lightdm instead of GDM.

Revision history for this message
jolindbe (jolindbe) wrote :

Since invoking this command I've seen a garbled black-ish screen twice during login (out of maybe 5-6 logins), but no previous sessions can be distinguished. On the other logins, the screen is black with a movable cursor for the same few seconds.
If rpr-nospam has another suggestion as of from where to invoke the command, please let me know.

Revision history for this message
Rob Cannell (r-cannell) wrote :

I see a scrambled login screen during login, but no info from previous sessions. It has been like this since I upgraded from Lucid a few weeks ago.

Ubuntu 12.04 AMD 64 bit.

lspci | grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Radeon 2100

Revision history for this message
Vliegendehuiskat (vliegendehuiskat) wrote :

This same problem exists on 12.10, so this needs to be reopened.

lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Blackcomb [Radeon HD 6900M series]

Revision history for this message
jolindbe (jolindbe) wrote :

After the "fix", the problem persists on 12.04. In a boot from power-off, the screen is just black/white garbled noise for 5-10 seconds after login, but after a reboot it shows garbled-up chunks of old sessions (despite my workaround above).

Ubuntu 12.04 32 bit
lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GT218 [NVS 3100M] (rev a2)

Revision history for this message
alex (r0) wrote :

The same bug is on 12.10 (32-bit).

lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation G86 [GeForce 8400M GS] (rev a1)

Using nvidia-experimental-310.

Revision history for this message
Ping Win (pingwin-9) wrote :

same here
01:00.0 VGA compatible controller: NVIDIA Corporation GF106GLM [Quadro 2000M] (rev a1)
Ubuntu 12.10 64bit with nvidia-current-updates
Any1 on this?

Revision history for this message
Michael Terry (mterry) wrote :

I agree that this is still a problem on at least 12.10. I could reproduce on my nvidia 32-bit machine.

I've tracked it down to some piece of commit 490 (http://bazaar.launchpad.net/~unity-greeter-team/unity-greeter/trunk/revision/490). That was a big commit though, and I'm digging further.

Changed in unity-greeter:
assignee: nobody → Michael Terry (mterry)
milestone: 0.2.6 → none
status: Fix Released → Confirmed
Revision history for this message
Michael Terry (mterry) wrote :

Quick follow up. I believe I've narrowed my 12.10 reproduction down to one sub-commit of revision 490 (revision 410.2.3): http://bazaar.launchpad.net/~unity-greeter-team/unity-greeter/trunk/revision/410.2.3

Looking further to try to make a fix.

Revision history for this message
Michael Terry (mterry) wrote :

OK. The problem with 12.10 was that the code responsible for drawing the background between logging in and the session starting (which was fixed in 12.04 previously in this bug) was accidentally dropped completely. That was my fault. :-/ I've got a new branch up, which should easily make it into 13.04. Once it does, I'll start an SRU for 12.10.

Now, as for why 12.04 is regressing... I'm not sure. I can't reproduce myself and the code looks fine to me.

There may be a further bug affecting 12.04 in small quantities or certain hardware configs (vs the 12.10 bug which affected everybody). In which case, it would also affect 12.10 in those same configs even after my fix. But that's less of a problem than fixing 12.10 for most people.

Changed in unity-greeter (Ubuntu):
status: Fix Released → Triaged
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 13.04.0-0ubuntu1

---------------
unity-greeter (13.04.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - Support timed login
    - Drop OK button in session chooser (LP: #1049243)
    - Various small layout changes (LP: #1049241, LP: #1049242,
      LP: #1056945, LP: #1056949, LP: #1056987, LP: #1059484)
    - Fix orca not closing when disabled
    - Fix display corruption when logging in (LP: #931967)
  * debian/patches/close-orca.patch,
    debian/patches/fix-timed-autologin.patch,
    debian/patches/do-not-mention-citrix-support.patch,
    debian/patches/sigterm-onboard.patch:
    - Dropped, included upstream
 -- Michael Terry <email address hidden> Fri, 04 Jan 2013 10:37:29 -0500

Changed in unity-greeter (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Michael Terry (mterry) wrote :

OK, I've uploaded to raring. I've also uploaded to quantal-proposed and subscribed ~ubuntu-sru.

Changed in unity-greeter:
status: Confirmed → Fix Released
description: updated
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello zzecool, or anyone else affected,

Accepted unity-greeter into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-greeter/12.10.4-0ubuntu5.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-greeter (Ubuntu Quantal):
status: New → Fix Committed
tags: added: verification-needed
Revision history for this message
Sapsan (sergiy-bagnak) wrote :

Hello Brain.

It looks like that the new package fixed the error. But only bug, which was appeared after login. The same bug is still present after returning from the lock screen with the screen turns off.

Revision history for this message
Sapsan (sergiy-bagnak) wrote :

Hmmm.... Bug still present from login -- got it 5 times successively.

ubuntu 12.10 x86_64
lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Barts PRO [Radeon HD 6800 Series]

Revision history for this message
Michael Terry (mterry) wrote :

Sapsan, just to confirm, you have 12.10.4-0ubuntu5.1 installed?

I remember it working on my machine when I tested it. I no longer have quantal on actual hardware. Could we get a third opinion?

Revision history for this message
Doug McMahon (mc3man) wrote :

See no sign of screen corruption here in 12.10 with nvidia display adapter (nvidia 8400m
Tested with both nouveau & nvidia drivers on a multi-boot setup.
Additionally tested with grub configured on 12.10, 12.94 & 13.04

What is quite common is a black screen from greeter after initiating the login till the Desktop appears, but that isn't corruption.
So for at least this hardware consider verification done

Revision history for this message
Doug McMahon (mc3man) wrote :

typo above ^, that would be 12.04, sorry..

Revision history for this message
Sapsan (sergiy-bagnak) wrote :

Yes, unity-greeter 12.10.4-0ubuntu5.1

Revision history for this message
James Tait (jamestait) wrote :

This appears fixed for me on Ubuntu 12.10 with NVIDIA GPU GeForce GT 330M (GT216) and nvidia-current-updates 304.51-0ubuntu1.

tags: added: verification-done-quantal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 12.10.4-0ubuntu5.1

---------------
unity-greeter (12.10.4-0ubuntu5.1) quantal-proposed; urgency=low

  * debian/patches/fix-corruption.patch:
    - Fix likely screen corruption after logging in (LP: #931967)
 -- Michael Terry <email address hidden> Fri, 04 Jan 2013 14:13:10 -0500

Changed in unity-greeter (Ubuntu Quantal):
status: Fix Committed → Fix Released
Revision history for this message
Sapsan (sergiy-bagnak) wrote :

Please, retest with "Automatic Login" enabled. Maybe fast PC needed. I use Intel i5-2500k + fast SSD.

Revision history for this message
Ari Fogel (arifogel) wrote :

This bug persists for me in Ubuntu 13.04 with:
unity-greeter: 13.10.3-0ubuntu1
nvidia-319: 319.32-0ubuntu7
I have the Nvidia GTX 295. I also use an SSD like Sapsan, though I don't know if that is relevant.

Revision history for this message
D. Charles Pyle (dcharlespyle) wrote :

I am seeing the same things as reported above, and I am seeing this in 14.04 LTS. I switched to fglrx to try to get rid of the corruption and still saw it, although it was less than while using the Open Source drivers for AMD/ATi. Tearfree created other problems so I went back to Open Source. Now the video corruption is back again, and sometimes it includes bits of desktop from a previous session even after a reboot.

I even tried switching to another ppa to get the latest and greatest versions from git and still see the corruption while waiting for the greeter to be ready for logon, and between greeter screen and logon to desktop, as well as when I log off and wait for the greeter to return to ready.

ASUS/ATi Radeon HD 5750, dual head with a pair of Dell S2440L LCD monitors. Ubuntu 14.04.2 LTS.

Wanted to try the above workaround but this system does not use GDM, so no directory or files on which to do the same edits.

$ lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:desktop-4.1-amd64:desktop-4.1-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:graphics-4.1-amd64:graphics-4.1-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:languages-4.1-amd64:languages-4.1-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:multimedia-4.1-amd64:multimedia-4.1-noarch:printing-3.2-amd64:printing-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:printing-4.1-amd64:printing-4.1-noarch:qt4-3.1-amd64:qt4-3.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 14.04.2 LTS
Release: 14.04
Codename: trusty

$ apt-show-versions unity-greeter
unity-greeter:amd64/trusty-updates 14.04.11-0ubuntu1 uptodate

Revision history for this message
Igor Lopez (igor-lopez) wrote :

I see exactly this on a fresh install of 14.04.2 LTS where I first installed the server image in order for it to pick up my Raid configuration and afterwards installed the ubuntu-desktop. The corrupted area covers aproximately 30% of the lower part of the right screen.

I am using the nvidia properitary driver (version 331.113 from nvidia-331 , Card GeForce 9400 GT) for a dual screen setup and it is only the right screen that is affected for approximately 5 seconds before the screen becomes normal.

Log in as guest does not give me the same dual screen setup, e.g. there I have two screens with same content and no corrupted screen.

Revision history for this message
MatthiasA (themaze) wrote :

I got the same bug as described by Igor Lopez.

OS: elementaryos Freya
Nvidia GTX 570
Nvidia Driver Version 352.30

Revision history for this message
D. Charles Pyle (dcharlespyle) wrote :

Has been happening and still happens since the first install of 12.04. I am now at 14.04.3 and the bug still is there. The difference is that I see millions of little cubes, which then jump into big ones that show my previous session from Windows or Fedora, depending on what I was using just prior to Ubuntu! Any way to introduce code into lightDM that flushes the buffers in ATi/AMD cards so that previous contents don't show up? I don't have this problem with GDM.

Revision history for this message
D. Charles Pyle (dcharlespyle) wrote :

Just realized I needed to add that I am not using proprietary drivers. ATi Radeon HD 5750, using identical Dell S2440L monitors using identical HDMI cables. I tried to use the proprietary drivers but the problem remained, although with some improvement.

Revision history for this message
D. Charles Pyle (dcharlespyle) wrote :

$ lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:desktop-4.1-amd64:desktop-4.1-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:graphics-4.1-amd64:graphics-4.1-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:languages-4.1-amd64:languages-4.1-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:multimedia-4.1-amd64:multimedia-4.1-noarch:printing-3.2-amd64:printing-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:printing-4.1-amd64:printing-4.1-noarch:qt4-3.1-amd64:qt4-3.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 14.04.3 LTS
Release: 14.04
Codename: trusty

Displaying first 40 and last 40 comments. View all 116 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions